<?php
/* **
 * @application PhpMyShopping
 * @part        Admin boutique (AB)
 * @file        catalogue.php
 * @path        ./admin/
 * @author      Stephane DINE <stephane@phpmyshopping.org>
 * @site        http://www.phpmyshopping.org
 * @license     http://www.php.net/license/3_0.txt  PHP License 3.0
 *
 * PHP version 5
 */

if ((!isset($_SESSION['LoginOk']) or $_SESSION['LoginOk'] != 'IdentOk')) {
    header('Location: ./login.php');
}

require_once 'include/class.catalog.php';
$catalogue = new Catalog(10, false);

if (!isset($_REQUEST['ID_Category']) or !$_REQUEST['ID_Category']) {
	$ID_Category = 'X';
} else {
	$ID_Category = $_REQUEST['ID_Category'];
}

switch ($C2) {
/** -------------------------------------------------------------------------------------
 * Gestion des categories
 */
case 'CA':
	switch ($C3) {
	/** -------------------------------------------------------------------------------------
	 * Liste des categories
	 */
	case 'list':
        echo $catalogue->sous_menu(array(4));
		echo $catalogue->listCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Formulaire de saisie d'une categorie
	 */
	case 'insert':
        echo $catalogue->sous_menu(array(3));
		echo $catalogue->formCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement de la categorie
	 */
	case 'insert_ok':
		echo $catalogue->sous_menu(array(4));
		$_POST['champ']['CategoryName'] = ucfirst(strtolower($_POST['champ']['CategoryName']));
		$catalogue->insert_sql('Category', $_POST['champ']);
		echo $catalogue->listCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage de la categorie en mode edition
	 */
	case 'edit':
		echo $catalogue->sous_menu(array(3));
		echo $catalogue->formCategory($_GET['ID_Category']);
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement des modifications apportees a la categorie
	 */
	case 'update':
		echo $catalogue->sous_menu(array(4));
		$_POST['champ']['CategoryName'] = ucfirst(strtolower($_POST['champ']['CategoryName']));
		$catalogue->update_sql('Category', $_POST['champ'], $_POST['champ']['ID_Category']);
		echo $catalogue->listCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Demande de confirmation pour la suppression d'une categorie
	 */
	case 'delete_confirm':
		$verrifCat = $catalogue->verrifProductCategory($_GET['ID_Category']);

		if ($verrifCat > 0) {
			echo '
			<p class="message_confirm">Souhaitez-vous vraiment effacer cette cat&eacute;gorie ?</p>
			<p style="padding-left: 30px;">
			  <b class="red">ATTENTION !</b><br /><br />
			  <b class="violet">Il y a <b class="red">'.$verrifCat.'</b> article(s) trouv&eacute;(s) faisant partis de la cat&eacute;gorie que vous souhaitez effacer.<br />
			  La suppresion de la cat&eacute;gorie <b class="red">'.$catalogue->getField('Category', 'CategoryName', 'ID_Category', $_GET['ID_Category']).'</b> est donc momentan&eacute;ment suspendue.</b><br />

			  <form action="" method="POST" style="padding-left: 30px;>
				<input type="hidden" name="C1" value="CA" />
				<input type="hidden" name="C2" value="CA" />
				<input type="hidden" name="C3" value="delete_ok" />
				<input type="hidden" name="ID_OldCategory" value="'.$_GET['ID_Category'].'" />';

			$sql = 'SELECT ID_Category, CategoryName
					FROM Category
					WHERE ID_Category != '.$_GET['ID_Category'].'
					AND Status != "D"
					ORDER BY CategoryName ASC';

			$query = $catalogue->query($sql);

			if (mysql_num_rows($query) > 0) {
				echo '<b class="violet">Vous pouvez n&eacute;anmoins affecter une autre cat&eacute;gorie &agrave; ce(s) articles(s) en en choisissant une autre dans la liste ci-dessous :</b><br /><br />
				<select name="ID_NewCategory" size="1">';

				while ($result = @mysql_fetch_array($query)) {
					echo '<option value="'.$result['ID_Category'].'">'.$result['CategoryName'].'</option>'."\r\n";
				}

				echo '</select><br /><br />
				<input type="submit" name="UpdateProduct" value="Mettre &agrave; jour les produits avec la nouvelle cat&eacute;gorie" />
				<br /><br />';
			}

			echo '
				<b class="violet">En choisissant l\'option ci-contre vous effacerez tous les articles affect&eacute;s &agrave; cette cat&eacute;gorie <b>::</b>
				<input type="submit" name="DeleteProduct" value="Effacer cette cat&eacute;gorie et tous les articles qu\'elle contient" /><br /><br />
				Vous pouvez annuler cette op&eacute;ration en cliquant ici</b> <a class="lien_admin" href="?C1=CA&C2=CA&C3=list">Annuler</a>
			  </form>
			</p>';
		} else {
			echo '
            <p class="message_confirm">Souhaitez-vous vraiment effacer cette cat&eacute;gorie ?<br /><br />
              [<a class="lien_admin" href="?C1=CA&C2=CA&C3=delete_ok&ID_Category='.$_GET['ID_Category'].'">Oui</a>]
              <b>::</b>
              [<a class="lien_admin" href="?C1=CA&C2=CA&C3=list">Non</a>]
            </p>';
		}

		break;

	/** -------------------------------------------------------------------------------------
	 * Suppression d'une categorie
	 */
	case 'delete_ok':
		echo $catalogue->sous_menu(array(4));
		$data['Status'] = 'D';
		$catalogue->update_sql('Category', $data, $_GET['ID_Category']);

		if ($_POST['UpdateProduct']) {
			$catalogue->query('UPDATE Product SET ID_Category = '.$_POST['ID_NewCategory'].' WHERE ID_Category = '.$_POST['ID_OldCategory']);
		} elseif ($_POST['DeleteProduct']) {
			$catalogue->query('UPDATE Product SET Status = "D" WHERE ID_Category = '.$_POST['ID_OldCategory']);
		}

		echo $catalogue->listCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage par defaut
	 */
	default:
		echo $catalogue->sous_menu(array(4));
		$sql = 'SELECT COUNT(*) AS NbCat FROM Category WHERE Status != "D"';
		$query = $catalogue->query($sql);
		$res = mysql_fetch_array($query);

		if ($res['NbCat'] > 0) {
			echo $catalogue->listCategory();
		} else {
			echo $catalogue->formCategory();
		}
	}

	break;

/** -------------------------------------------------------------------------------------
 * Gestion des sous-categories
 */
case 'SC':
	switch ($C3) {
	/** -------------------------------------------------------------------------------------
	 * Liste des sous-categories
	 */
	case 'list':
		echo $catalogue->sous_menu(array(6));
		echo $catalogue->listSubCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Formulaire de saisie d'une sous-categorie
	 */
	case 'insert':
		echo $catalogue->sous_menu(array(5));
		echo $catalogue->formSubCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement de la sous-categorie
	 */
	case 'insert_ok':
		echo $catalogue->sous_menu(array(6));
		$_POST['champ']['SubCategoryName'] = ucfirst(strtolower($_POST['champ']['SubCategoryName']));
		$catalogue->insert_sql('SubCategory', $_POST['champ']);
		echo $catalogue->listSubCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage de la sous-categorie en mode edition
	 */
	case 'edit':
		echo $catalogue->sous_menu(array(5));
		echo $catalogue->formSubCategory($_GET['ID_SubCategory']);
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement des modifications apportees a la sous-categorie
	 */
	case 'update':
		echo $catalogue->sous_menu(array(6));
		$_POST['champ']['SubCategoryName'] = ucfirst(strtolower($_POST['champ']['SubCategoryName']));
		$catalogue->update_sql('SubCategory', $_POST['champ'], $_POST['champ']['ID_SubCategory']);
		echo $catalogue->listSubCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Demande de confirmation pour la suppression d'une sous-categorie
	 */
	case 'delete_confirm':
        echo $catalogue->sous_menu(array(5));
		$verrifSubCat = $catalogue->verrifProductSubCategory($_GET['ID_SubCategory']);

		if ($verrifSubCat > 0) {
			$menu = array(array(1, $p.'C3=list'), array(0, ''), array(0, ''), array(1, $p.'C3=delete_ok&ID_SubCategory='.$_GET['ID_SubCategory']), array(0, ''), array(1, $p.'C3=list'));

			echo '
			<p class="message_confirm">Souhaitez-vous vraiment effacer cette sous-cat&eacute;gorie ?</p>
			<p style="padding-left: 30px;">
			  <b class="red">ATTENTION !</b><br /><br />
			  <b class="violet">Il y a <b class="red">'.$verrifSubCat.'</b> article(s) trouv&eacute;(s) faisant partis de la sous-cat&eacute;gorie que vous souhaitez effacer.<br />
			  La suppresion de la sous-cat&eacute;gorie <b class="red">'.$catalogue->getField('SubCategory', 'SubCategoryName', 'ID_SubCategory', $_GET['ID_SubCategory']).'</b> est donc momentan&eacute;ment suspendue.<br />
			  Vous pouvez n&eacute;anmoins affecter une autre sous-cat&eacute;gorie &agrave; ce(s) articles(s) en en choisissant une autres dans la liste ci-dessous :</b><br /><br />

			  <form action="" method="POST" style="padding-left: 30px;>
				<input type="hidden" name="C1" value="CA" />
				<input type="hidden" name="C2" value="SC" />
				<input type="hidden" name="C3" value="delete_ok" />
				<input type="hidden" name="ID_OldSubCategory" value="'.$_GET['ID_SubCategory'].'" />';

			$sql = 'SELECT ID_SubCategory, SubCategoryName
					FROM SubCategory
					WHERE ID_SubCategory != '.$_GET['ID_SubCategory'].'
					AND Status != "D"
					ORDER BY SubCategoryName ASC';

			$query = $catalogue->query($sql);

			if (mysql_num_rows($query) > 0) {
				echo '<b class="violet">Vous pouvez n&eacute;anmoins affecter une autre sous-cat&eacute;gorie &agrave; ce(s) articles(s) en en choisissant une autre dans la liste ci-dessous :</b><br /><br />
				<select name="ID_NewSubCategory" size="1">';

				while ($result = @mysql_fetch_array($query)) {
					echo '<option value="'.$result['ID_SubCategory'].'">'.$result['SubCategoryName'].'</option>'."\r\n";
				}

				echo '</select><br /><br />
				<input type="submit" name="UpdateProduct" value="Mettre &agrave; jour les produits avec la nouvelle sous-cat&eacute;gorie" />
				<br /><br />';
			}

			echo '
				<b class="violet">En choisissant l\'option ci-contre vous effacerez tous les articles affect&eacute;s &agrave; cette sous-cat&eacute;gorie <b>::</b>
				<input type="submit" name="DeleteProduct" value="Effacer cette sous-cat&eacute;gorie et tous les articles qu\'elle contient" /><br /><br />
                Vous pouvez annuler cette op&eacute;ration en cliquant ici</b> <a class="lien_admin" href="?C1=CA&C2=SC&C3=list">Annuler</a>
			  </form>
			</p>';
		} else {
            echo '
            <p class="message_confirm">Souhaitez-vous vraiment effacer cette sous-cat&eacute;gorie ?<br /><br />
              [<a class="lien_admin" href="?C1=CA&C2=SC&C3=delete_ok&ID_SubCategory='.$_GET['ID_SubCategory'].'">Oui</a>]
              <b>::</b>
              [<a class="lien_admin" href="?C1=CA&C2=SC&C3=list">Non</a>]
            </p>';
		}

		break;

	/** -------------------------------------------------------------------------------------
	 * Suppression d'une sous-categorie
	 */
	case 'delete_ok':
		echo $catalogue->sous_menu(array(6));
		$data['Status'] = 'D';
		$catalogue->update_sql('SubCategory', $data, $_GET['ID_SubCategory']);

		if ($_POST['UpdateProduct']) {
			$catalogue->query('UPDATE Product SET ID_SubCategory = '.$_POST['ID_NewSubCategory'].' WHERE ID_SubCategory = '.$_POST['ID_OldSubCategory']);
		} elseif ($_POST['DeleteProduct']) {
			$catalogue->query('UPDATE Product SET Status = "D" WHERE ID_SubCategory = '.$_POST['ID_OldSubCategory']);
		}

		echo $catalogue->listSubCategory();
		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage par defaut
	 */
	default:
		echo $catalogue->sous_menu(array(6));
		$sql = 'SELECT COUNT(*) AS NbSubCat FROM SubCategory WHERE Status != "D"';
		$query = $catalogue->query($sql);
		$res = mysql_fetch_array($query);

		if ($res['NbSubCat'] > 0) {
			echo $catalogue->listSubCategory();
		} else {
			echo $catalogue->formSubCategory();
		}
	}

	break;

/** -------------------------------------------------------------------------------------
 * Gestion des articles
 */
case 'AR':
	switch ($C3) {
	/** -------------------------------------------------------------------------------------
	 * Liste des articles
	 */
	case 'list':
		echo $catalogue->sous_menu(array(8));
		echo $catalogue->listProduct(array('debut' => $debut, 'cat2' => 'PLi'), $ID_Category);
		break;

	/** -------------------------------------------------------------------------------------
	 * Formulaire de saisie d'article
	 */
	case 'insert':
        echo $catalogue->sous_menu(array(7));
		echo $catalogue->formAddProduct();
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement de l'article
	 */
	case 'insert_ok':
        echo $catalogue->sous_menu(array(8));

		if (($_POST['champ']['ID_Category'] > 0) and ($_POST['champ']['ID_SubCategory'] > 0)) {
			/**
			 * Reformatage du prix si on trouve une virgule
			 */
			if (strstr($_POST['champ']['ProductPrice'], ',')) {
				$_POST['champ']['ProductPrice'] = str_replace(',', '.', $_POST['champ']['ProductPrice']);
			}

			/**
			 * Reformatage des donnees sur la remise
			 */
			if (($_POST['champ']['SalePriceType'] > 0) and ($_POST['champ']['SalePrice'])) {
				$MontantRemise = trim($_POST['champ']['SalePrice']);
				$MontantRemise = str_replace(',', '.', $MontantRemise);
				$_POST['champ']['SalePriceType'] = $_POST['champ']['SalePriceType'];
				$_POST['champ']['SalePrice'] = $MontantRemise;
			} else {
				$_POST['champ']['SalePriceType'] = '0';
				$_POST['champ']['SalePrice'] = '';
			}

			/**
			 * Mise a zero du stock si non gere pour ce produit
			 */
			if ($_POST['champ']['ManageStock'] == '0') {
				$_POST['champ']['ProductStock'] = 0;
			}

			/**
			 * Insertion des donnees dans la table Product
			 */
			$_POST['champ']['Weight'] = str_replace(',', '.', $_POST['champ']['Weight']);

			if ($_POST['champ']['WeightType'] == 'K') {
				$_POST['champ']['Weight'] = str_replace(' ', '', trim($_POST['champ']['Weight'])) * 1000;
			} else {
				$_POST['champ']['Weight'] = str_replace(' ', '', trim($_POST['champ']['Weight']));
			}

			/**
			 * Enregistrement du produit dans la table Product
			 */
			$_POST['champ']['DateAdded'] = date('Y-m-d H:i:s');
			$_POST['champ']['ProductName'] = $_POST['champ']['ProductName'];
			$ID_Product = $catalogue->insert_sql('Product', $_POST['champ']);

			/**
			 * Traitement et mise en place des images
			 */
			$nbImgInc = 0;
			$SpaceImg = 0;
			$imgError = array();

			for ($nbImg = 1; $nbImg < (count($_FILES) + 1); $nbImg++) {
				if ($_FILES['ImgProduct_'.$nbImg]['name']) {
					$nbImgInc++; 
					$nbImage .= $nbImgInc;
					$imgSize = array(array($catalogue->ImgProWA, $catalogue->ImgProHA, '../images/product_mini'),
									 array($catalogue->ImgProWN, $catalogue->ImgProHN, '../images/product'),
									 array($catalogue->ImgProWI, $catalogue->ImgProHI, '../images/product_int'),
									 array($catalogue->ImgProWB, $catalogue->ImgProHB, '../images/product_big'));
					$imgError[] = $catalogue->writeImage($_FILES['ImgProduct_'.$nbImg]['tmp_name'], $ID_Product.'_'.$nbImgInc, $imgSize);
					$SpaceImg = 1;
				}
			}

			/**
			 * Affichage en cas d'erreur au niveau du format des images
			 */
			foreach($imgError as $v) {
				if ($v == false) {
					echo '<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b class="red">ATTENTION !</b><br />
					&nbsp;&nbsp;&nbsp;&nbsp;<b class="blue">Une ou plusieurs de vos images n\'ont pas &eacute;t&eacute;s envoy&eacute;es car elles ne sont pas au au format JPG ou JPEG.<br />
					&nbsp;&nbsp;&nbsp;&nbsp;Veuillez re-editer votre article pour visualiser les images manquantes.</b>
					<br />';
					break;
				}
			}

			/**
			 * Mise a jour du nombre d'images envoyees sur le serveur pour le nouveau produit
			 */
			$catalogue->update_sql('Product', array('NbImage' => $nbImage), $ID_Product);

			echo $catalogue->listProduct(array('debut' => $debut, 'cat2' => 'PLi'), $_POST['champ']['ID_Category']);
		} else {
			echo '<div class="warning">Vous n\'avez pas cr&eacute;&eacute; de cat&eacute;gorie et/ou sous-cat&eacute;gorie,
			cette &eacute;tape est obligatoire.</div>';
			echo $catalogue->formAddProduct();
		}

		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage de l'article en mode edition
	 */
	case 'edit':
		echo $catalogue->sous_menu(array(7));
		echo $catalogue->formModifProduct($_GET['ID_Product'], $_GET['debut']);
		break;

	/** -------------------------------------------------------------------------------------
	 * Enregistrement des modifications apportees a l'article'
	 */
	case 'update':
		echo $catalogue->sous_menu(array(8));

		/**
		 * Traitement et mise en place de l'image
		 */
		$nbImgInc = 0;
		$SpaceImg = 0;
		$imgError = array();

		for ($nbImg = 1; $nbImg < (count($_FILES) + 1); $nbImg++) {
			if ($_FILES['ImgProduct_'.$nbImg]['name']) {
				$nbImageModif .= $nbImg;
				$imgSize = array(array($catalogue->ImgProWA, $catalogue->ImgProHA, '../images/product_mini'),
								 array($catalogue->ImgProWN, $catalogue->ImgProHN, '../images/product'),
								 array($catalogue->ImgProWI, $catalogue->ImgProHI, '../images/product_int'),
								 array($catalogue->ImgProWB, $catalogue->ImgProHB, '../images/product_big'));
				$imgError[] = $catalogue->writeImage($_FILES['ImgProduct_'.$nbImg]['tmp_name'], $_POST['champ']['ID_Product'].'_'.$nbImg, $imgSize);
				$SpaceImg = 1;
			}
		}

		if ($_POST['NbImage'] != '0') {
			$nbImageModif = $_POST['NbImage'].$nbImageModif;
		}
		
		$arrayNbImage = str_split($nbImageModif, 1);
		sort($arrayNbImage);

		foreach($imgError as $k => $v) {
			if ($v == false) {
				array_splice($arrayNbImage, $k, 1);
				$err = true;
			}
		}

		/**
		 * Affichage en cas d'erreur au niveau du format des images
		 */
		//foreach($imgError as $k => $v) {
			//if ($v == false) {
			if ($err == true) {
				echo '<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b class="red">ATTENTION !</b><br />
				&nbsp;&nbsp;&nbsp;&nbsp;<b class="blue">Une ou plusieurs de vos images n\'ont pas &eacute;t&eacute;s envoy&eacute;es car elles ne sont pas au au format JPG ou JPEG.<br />
				&nbsp;&nbsp;&nbsp;&nbsp;Veuillez re-editer votre article pour visualiser les images manquantes.</b>
				<br />';
				array_splice($arrayNbImage, $k+1, 1);
				//break;
			}
		//}

		/**
		 * Mise a jour du nombre d'image dans le champ NbImage
		 */
		$_POST['champ']['NbImage'] = implode('', array_unique($arrayNbImage));

		/**
		 * Remise en forme du montant de la remise
		 */
		if (($_POST['champ']['SalePriceType'] > 0) and ($_POST['champ']['SalePrice'])) {
			$MontantRemise = trim($_POST['champ']['SalePrice']);
			$MontantRemise = str_replace(',', '.', $MontantRemise);
			$_POST['champ']['SalePriceType'] = $_POST['champ']['SalePriceType'];
			$_POST['champ']['SalePrice'] = $MontantRemise;
		} else {
			$_POST['champ']['SalePriceType'] = '0';
			$_POST['champ']['SalePrice'] = '';
		}

		/**
		 * Mise a zero du stock si non gere pour ce produit
		 */
		if ($_POST['champ']['ManageStock'] == '0') {
			$_POST['champ']['ProductStock'] = 0;
		}

		/**
		 * Reformatage du poids et du prix si on trouve une virgule
		 */
		$_POST['champ']['Weight'] = str_replace(',', '.', $_POST['champ']['Weight']);

		if ($_POST['champ']['WeightType'] == 'K') {
			$_POST['champ']['Weight'] = str_replace(' ', '', trim($_POST['champ']['Weight'])) * 1000;
		} else {
			$_POST['champ']['Weight'] = str_replace(' ', '', trim($_POST['champ']['Weight']));
		}

		if (strstr($_POST['champ']['ProductPrice'], ',')) {
			$_POST['champ']['ProductPrice'] = str_replace(',', '.', $_POST['champ']['ProductPrice']);
		}

		/**
		 * Enregistrement des modifications
		 */
		//$_POST['champ']['ProductName'] = $_POST['champ']['ProductName'];
		$catalogue->update_sql('Product', $_POST['champ'], $_POST['champ']['ID_Product']);
		echo $catalogue->listProduct(array('debut' => $debut, 'cat2' => 'PLi'), $_POST['champ']['ID_Category']);
		break;

	/** -------------------------------------------------------------------------------------
	 * Demande de confirmation pour la suppression d'un article
	 */
	case 'delete_confirm':
        echo $catalogue->sous_menu(array(7));
            echo '
            <p class="message_confirm">Souhaitez-vous vraiment effacer cet article ?<br /><br />
              [<a class="lien_admin" href="?C1=CA&C2=AR&C3=delete_ok&ID_Product='.$_GET['ID_Product'].'">Oui</a>]
              <b>::</b>
              [<a class="lien_admin" href="?C1=CA&C2=AR&C3=list">Non</a>]
            </p>';
		break;

	/** -------------------------------------------------------------------------------------
	 * Suppression d'un article
	 */
	case 'delete_ok':
        echo $catalogue->sous_menu(array(8));
		$data['Status'] = 'D';
		$catalogue->update_sql('Product', $data, $_GET['ID_Product']);

		/**
		 * Effacement des images
		 */
		$nbImage = $catalogue->getField('Product', 'NbImage', 'ID_Product', $_GET['ID_Product']);

		for ($i = 0; $i < strlen($nbImage); $i++) {
			$img = substr($nbImage, $i, 1);
			system('rm -f ../images/product_mini/'.$_GET['ID_Product'].'_'.$img.'.*');
			system('rm -f ../images/product/'.$_GET['ID_Product'].'_'.$img.'.*');
			system('rm -f ../images/product_int/'.$_GET['ID_Product'].'_'.$img.'.*');
			system('rm -f ../images/product_big/'.$_GET['ID_Product'].'_'.$img.'.*');
		}

		echo $catalogue->listProduct(array('debut' => $debut, 'cat2' => 'PLi'), $ID_Category);
		break;

	/** -------------------------------------------------------------------------------------
	 * Affichage par defaut
	 */
	default:
        echo $catalogue->sous_menu(array(8));

		$sql   = 'SELECT COUNT(Product.ID_Product) AS NbProduct FROM Product LEFT JOIN Category ON Product.ID_Category = Category.ID_Category WHERE Product.Status != "D"';
		$query = $catalogue->query($sql);
		$res   = mysql_fetch_array($query);

		if ($res['NbProduct'] > 0) {
			echo $catalogue->listProduct(array('debut' => $debut, 'cat2' => 'PLi'), $ID_Category);
		} else {
			echo $catalogue->formAddProduct();
		}
	}

	break;
}
?>
